Package com.independentsoft.office.themes

# Class ColorScheme

java.lang.Object
com.independentsoft.office.themes.ColorScheme

public class ColorScheme extends Object
The Class ColorScheme.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorScheme()`
  Instantiates a new color scheme.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ColorScheme`
  `clone()`
  `Accent1`
  `getAccent1()`
  Gets the accent1.
  `Accent2`
  `getAccent2()`
  Gets the accent2.
  `Accent3`
  `getAccent3()`
  Gets the accent3.
  `Accent4`
  `getAccent4()`
  Gets the accent4.
  `Accent5`
  `getAccent5()`
  Gets the accent5.
  `Accent6`
  `getAccent6()`
  Gets the accent6.
  `Dark1`
  `getDark1()`
  Gets the dark1.
  `Dark2`
  `getDark2()`
  Gets the dark2.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`a:extLst`).
  `FollowedHyperlink`
  `getFollowedHyperlink()`
  Gets the followed hyperlink.
  `HyperlinkColor`
  `getHyperlinkColor()`
  Gets the hyperlink color.
  `Light1`
  `getLight1()`
  Gets the light1.
  `Light2`
  `getLight2()`
  Gets the light2.
  `String`
  `getName()`
  Gets the name.
  `void`
  `setAccent1​(Accent1 accent1)`
  Sets the accent1.
  `void`
  `setAccent2​(Accent2 accent2)`
  Sets the accent2.
  `void`
  `setAccent3​(Accent3 accent3)`
  Sets the accent3.
  `void`
  `setAccent4​(Accent4 accent4)`
  Sets the accent4.
  `void`
  `setAccent5​(Accent5 accent5)`
  Sets the accent5.
  `void`
  `setAccent6​(Accent6 accent6)`
  Sets the accent6.
  `void`
  `setDark1​(Dark1 dark1)`
  Sets the dark1.
  `void`
  `setDark2​(Dark2 dark2)`
  Sets the dark2.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`a:extLst`).
  `void`
  `setFollowedHyperlink​(FollowedHyperlink followedHyperlink)`
  Sets the followed hyperlink.
  `void`
  `setHyperlinkColor​(HyperlinkColor hyperlinkColor)`
  Sets the hyperlink color.
  `void`
  `setLight1​(Light1 light1)`
  Sets the light1.
  `void`
  `setLight2​(Light2 light2)`
  Sets the light2.
  `void`
  `setName​(String name)`
  Sets the name.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ColorScheme

    public ColorScheme()
    Instantiates a new color scheme.

- ## Method Details

  - ### clone

    public ColorScheme clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getAccent1

    public Accent1 getAccent1()
    Gets the accent1.
    Returns:
      the accent1

  - ### setAccent1

    public void setAccent1​(Accent1 accent1)
    Sets the accent1.
    Parameters:
      `accent1` - the new accent1

  - ### getAccent2

    public Accent2 getAccent2()
    Gets the accent2.
    Returns:
      the accent2

  - ### setAccent2

    public void setAccent2​(Accent2 accent2)
    Sets the accent2.
    Parameters:
      `accent2` - the new accent2

  - ### getAccent3

    public Accent3 getAccent3()
    Gets the accent3.
    Returns:
      the accent3

  - ### setAccent3

    public void setAccent3​(Accent3 accent3)
    Sets the accent3.
    Parameters:
      `accent3` - the new accent3

  - ### getAccent4

    public Accent4 getAccent4()
    Gets the accent4.
    Returns:
      the accent4

  - ### setAccent4

    public void setAccent4​(Accent4 accent4)
    Sets the accent4.
    Parameters:
      `accent4` - the new accent4

  - ### getAccent5

    public Accent5 getAccent5()
    Gets the accent5.
    Returns:
      the accent5

  - ### setAccent5

    public void setAccent5​(Accent5 accent5)
    Sets the accent5.
    Parameters:
      `accent5` - the new accent5

  - ### getAccent6

    public Accent6 getAccent6()
    Gets the accent6.
    Returns:
      the accent6

  - ### setAccent6

    public void setAccent6​(Accent6 accent6)
    Sets the accent6.
    Parameters:
      `accent6` - the new accent6

  - ### getDark1

    public Dark1 getDark1()
    Gets the dark1.
    Returns:
      the dark1

  - ### setDark1

    public void setDark1​(Dark1 dark1)
    Sets the dark1.
    Parameters:
      `dark1` - the new dark1

  - ### getDark2

    public Dark2 getDark2()
    Gets the dark2.
    Returns:
      the dark2

  - ### setDark2

    public void setDark2​(Dark2 dark2)
    Sets the dark2.
    Parameters:
      `dark2` - the new dark2

  - ### getFollowedHyperlink

    public FollowedHyperlink getFollowedHyperlink()
    Gets the followed hyperlink.
    Returns:
      the followed hyperlink

  - ### setFollowedHyperlink

    public void setFollowedHyperlink​(FollowedHyperlink followedHyperlink)
    Sets the followed hyperlink.
    Parameters:
      `followedHyperlink` - the new followed hyperlink

  - ### getHyperlinkColor

    public HyperlinkColor getHyperlinkColor()
    Gets the hyperlink color.
    Returns:
      the hyperlink color

  - ### setHyperlinkColor

    public void setHyperlinkColor​(HyperlinkColor hyperlinkColor)
    Sets the hyperlink color.
    Parameters:
      `hyperlinkColor` - the new hyperlink color

  - ### getLight1

    public Light1 getLight1()
    Gets the light1.
    Returns:
      the light1

  - ### setLight1

    public void setLight1​(Light1 light1)
    Sets the light1.
    Parameters:
      `light1` - the new light1

  - ### getLight2

    public Light2 getLight2()
    Gets the light2.
    Returns:
      the light2

  - ### setLight2

    public void setLight2​(Light2 light2)
    Sets the light2.
    Parameters:
      `light2` - the new light2

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name